# This file created by conda-build 3.16.2
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/78c46b36-45f6-4c6d-4165-ae2fe06eabe9/volume/rsync-recipes/fftw-3.3.8-on-osx, last modified Wed Nov  7 13:12:17 2018
# ------------------------------------------------

package:
    name: fftw
    version: 3.3.8
source:
    fn: fftw-3.3.8.tar.gz
    md5: 8aac833c943d8e90d51b697b27d4384d
    url: http://www.fftw.org/fftw-3.3.8.tar.gz
build:
    number: '1'
    string: h1de35cc_1
requirements:
    build:
        - cctools 895 1
        - clang 4.0.1 1
        - clang_osx-64 4.0.1 h1ce6c1d_11
        - compiler-rt 4.0.1 hcfea43d_1
        - ld64 274.2 1
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - llvm 4.0.1 1
        - llvm-lto-tapi 4.0.1 1
        - perl 5.26.2 h4e221da_0
    run_exports:
        - fftw >=3.3.8,<3.4.0a0
test:
    commands:
        - exit $(test -f ${PREFIX}/lib/libfftw3f.a)
        - exit $(test -f ${PREFIX}/lib/libfftw3.a)
        - exit $(test -f ${PREFIX}/lib/libfftw3l.a)
        - exit $(test -f ${PREFIX}/lib/libfftw3f_threads.a)
        - exit $(test -f ${PREFIX}/lib/libfftw3_threads.a)
        - exit $(test -f ${PREFIX}/lib/libfftw3l_threads.a)
        - test -f ${PREFIX}/include/fftw3.h
about:
    home: http://fftw.org
    license: GPL 2
    summary: The fastest Fourier transform in the west.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - alexbw
        - grlee77
        - jakirkham
        - jjhelmus
        - jschueller
